Source: xserver-xorg-input-synaptics
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: maximilian attems <maks@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libx11-dev,
 libxext-dev,
 libxi-dev,
 libevdev-dev [linux-any],
 x11proto-dev | x11proto-core-dev,
 xserver-xorg-dev,
 pkg-config,
 quilt,
 xutils-dev,
 libxtst-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/xorg-team/driver/xserver-xorg-input-synaptics.git
Vcs-Browser: https://salsa.debian.org/xorg-team/driver/xserver-xorg-input-synaptics

Package: xserver-xorg-input-synaptics
Architecture: any
Depends:
 ${shlibs:Depends},
 ${xinpdriver:Depends},
 ${misc:Depends}
Conflicts: xorg-driver-synaptics
Replaces: xorg-driver-synaptics
Provides: ${xinpdriver:Provides}, xorg-driver-synaptics
Suggests: gpointing-device-settings, touchfreeze
Description: Synaptics TouchPad driver for X.Org server
 This package provides an input driver for the X.Org X server to enable
 advanced features of the Synaptics Touchpad including:
 .
  * Movement with adjustable, non-linear acceleration and speed
  * Button events through short touching of the touchpad
  * Double-Button events through double short touching of the touchpad
  * Dragging through short touching and holding down the finger on the touchpad
  * Middle and right button events on the upper and lower corner of the touchpad
  * Vertical scrolling (button four and five events) through moving the finger
    on the right side of the touchpad
  * The up/down button sends button four/five events
  * Horizontal scrolling (button six and seven events) through moving the finger
    on the lower side of the touchpad
  * The multi-buttons send button four/five events, and six/seven events for
    horizontal scrolling
  * Adjustable finger detection
  * Multifinger taps: two finger for middle button and three finger for right
    button events. (Needs hardware support. Not all models implement this
    feature.)
  * Run-time configuration using shared memory. This means you can change
    parameter settings without restarting the X server (see synclient(1)).
  * It also provides a daemon to disable touchpad while typing at the keyboard
    and thus avoid unwanted mouse movements (see syndaemon(1)).
 .

Package: xserver-xorg-input-synaptics-dev
Section: libdevel
Architecture: all
Depends:
 x11proto-dev | x11proto-core-dev,
 ${misc:Depends},
Multi-Arch: foreign
Description: Synaptics TouchPad driver for X.Org server (development headers)
 This package contains the development headers for the Synaptics input
 driver found in xserver-xorg-input-synaptics. Non-developers likely have
 little use for this package.
